Package com.pixelmed.test

## Class TestCleanerReceiveAndClean.ExpectedResult

- java.lang.Object
- - com.pixelmed.test.TestCleanerReceiveAndClean.ExpectedResult

- Enclosing class:
    TestCleanerReceiveAndClean

      protected class TestCleanerReceiveAndClean.ExpectedResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpectedResult​(AttributeTag tag, boolean handleAsUID, boolean cleaned, java.lang.String originalValue, java.lang.String cleanedValueIfCleaned)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIsAsExpected​(AttributeList list)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectedResult

          public ExpectedResult​(AttributeTag tag,
                                boolean handleAsUID,
                                boolean cleaned,
                                java.lang.String originalValue,
                                java.lang.String cleanedValueIfCleaned)

  - ### Method Detail

    - #### checkIsAsExpected

          public void checkIsAsExpected​(AttributeList list)